Pages Menu
TwitterRss
Categories Menu

Posted on 8 Déc, 2009 in Debian, Elive, Linux | 0 comments

Installation Google Chrome sur Elive et/ou Debian Lenny

C’est officiel Google met à disposition la dernière version bêta de son navigateur web qui fait tant couler d’encre.

Installation Google Chrome sur Elive et/ou Debian Lenny

 

Elive et Debian lenny en général sont supportées par le navigateur. Cependant aprés avoir téléchargé l’archive du site officiel l’installation « simple » (au clic souris) se plaint d’une dépendance non satisfaite: libnss3-1d.

Or comme c’est le cas chez moi cette librairie est bel et bien installée sur Elive mais la ligne de commande

dpkg -i google-chrome-beta_current_i386.deb

nous en apprend un peu plus, elle renvoie:

google-chrome-beta dépend de libnss3-1d (>= 3.12.3) ; cependant :  La version de libnss3-1d sur le système est 3.12.0-6.

On apprend donc que la version installé est trop ancienne il va donc falloir upgrader notre librairie (là on prend un petit risque mais les dépôts Elive sont un peu dépassés il nous faut ajouter les « vrais » dépôts lenny depuis les mirroirs officiels au moins le temps d’installer les librairies)

On ajoute une ligne à notre fichier /etc/apt/sources.list:

deb http://ftp.fr.debian.org/debian lenny main

* Note: le .fr peut-être changé par n’importe quel serveur valide comme .be par exemple… Je ne sais pas trop pourquoi les dépôts Elive ne sont pas à jour puisqu’ils sont sensés être un miroir des debian (peut-juste un peu en retard). 

**Personnellement j’en ai profité pour mettre à jour ce qui pouvait l’être en plus de notre libnss3-1d… (je ne sais pas trop si ça craint? Je ne pense pas puisqu’ils sont quand même destinés à Lenny)

Ceci fait un simple clic sur l’archive et gdebi se propose de l’installer, quelques secondes plus tard vous avez un tout nouveau et tout beau navigateur web. J’ai apprécié: la possibilité d’installation d’extensions telles que Xmark (bien que celle-ci ne gère pas encore les mots de passe) ainsi que l’importation des paramètres depuis Firefox 🙂 

La solution la plus simple et peut-être la plus sécurisante pour apt: Il suffit de rajouter les dépôts officiels de google pour Debian lenny en ajoutant cette ligne à notre fichier /etc/apt/sources.list :

deb  http://dl.google.com/linux/deb/ stable main

Ensuite un simple

apt-get update && apt-get install google-chrome-unstable 

Et le tour est joué, Google Chrome est installé sur Elive ou Debian Lenny comme n’importe quel autre paquet par notre apt préféré… 🙂 

Capture Google Chrome sur Elive

 

 

Post a Reply

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *